diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lr-wpan/model/lr-wpan-mac.h ns-3.46/src/lr-wpan/model/lr-wpan-mac.h
--- ns-3.45/src/lr-wpan/model/lr-wpan-mac.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lr-wpan/model/lr-wpan-mac.h	2025-10-01 18:46:32.000000000 -0700
@@ -16,6 +16,7 @@
 
 #include "lr-wpan-fields.h"
 #include "lr-wpan-mac-base.h"
+#include "lr-wpan-mac-header.h"
 #include "lr-wpan-phy.h"
 
 #include "ns3/event-id.h"
@@ -759,6 +760,17 @@
     };
 
     /**
+     * Process a frame when promiscuous mode is active.
+     *
+     * @param lqi The LQI value of the received packet
+     * @param receivedMacHdr The reference to the received MAC header
+     * @param p The packet containing the MAC payload
+     */
+    void ReceiveInPromiscuousMode(uint8_t lqi,
+                                  const LrWpanMacHeader& receivedMacHdr,
+                                  Ptr<Packet> p);
+
+    /**
      * Called to send a single beacon frame.
      */
     void SendOneBeacon();
@@ -858,10 +870,45 @@
     /**
      * Used to process the reception of a beacon packet.
      *
-     * @param lqi The value of the link quality indicator (LQI) of the received packet
-     * @param p The packet containing the MAC header and the beacon payload information
+     * @param lqi The value of the link quality indicator (LQI) of the received packet.
+     * @param receivedMacHdr The reference to the received MAC header.
+     * @param p The packet containing the beacon payload information.
+     */
+    void ReceiveBeacon(uint8_t lqi, const LrWpanMacHeader& receivedMacHdr, Ptr<Packet> p);
+
+    /**
+     * Used to process the reception of a command packet.
+     *
+     * @param lqi The value of the link quality indicator (LQI) of the received packet.
+     * @param receivedMacHdr The reference to the received MAC header.
+     * @param p The packet containing the command payload information.
+     */
+    void ReceiveCommand(uint8_t lqi, const LrWpanMacHeader& receivedMacHdr, Ptr<Packet> p);
+
+    /**
+     * Used to process the reception of data.
+     *
+     * @param lqi The value of the link quality indicator (LQI) of the received packet.
+     * @param receivedMacHdr The reference to the received MAC header.
+     * @param p The packet containing the data payload.
+     */
+    void ReceiveData(uint8_t lqi, const LrWpanMacHeader& receivedMacHdr, Ptr<Packet> p);
+
+    /**
+     * Used to process an acknowledgment packet.
+     *
+     * @param receivedMacHdr The reference to the received MAC header.
+     * @param p The packet containing the MAC header and the data payload.
+     */
+    void ReceiveAcknowledgment(const LrWpanMacHeader& receivedMacHdr, Ptr<Packet> p);
+
+    /**
+     * Display the MAC header contents of a successfully received packet when
+     * logs are active.
+     *
+     * @param receivedMacHdr The reference of the received MAC header
      */
-    void ReceiveBeacon(uint8_t lqi, Ptr<Packet> p);
+    void PrintReceivedPacket(const LrWpanMacHeader& receivedMacHdr);
 
     /**
      * Send an acknowledgment packet for the given sequence number.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lr-wpan/test/lr-wpan-ack-test.cc ns-3.46/src/lr-wpan/test/lr-wpan-ack-test.cc
--- ns-3.45/src/lr-wpan/test/lr-wpan-ack-test.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lr-wpan/test/lr-wpan-ack-test.cc	2025-10-01 18:46:32.000000000 -0700
@@ -158,6 +158,8 @@
 void
 LrWpanAckTestCase::DoRun()
 {
+    SetDataDir(NS_TEST_SOURCEDIR);
+
     // Test setup:
     // Two nodes well in communication range.
     // Node 1 sends a request packet to node 2 with ACK request bit set. Node 2
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/CMakeLists.txt ns-3.46/src/lte/CMakeLists.txt
--- ns-3.45/src/lte/CMakeLists.txt	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/CMakeLists.txt	2025-10-01 18:46:32.000000000 -0700
@@ -2,19 +2,25 @@
 set(emu_headers)
 set(emu_features)
 set(emu_libraries)
-if(${ENABLE_EMU})
-  set(emu_sources
-      helper/emu-epc-helper.cc
-  )
-  set(emu_headers
-      helper/emu-epc-helper.h
-  )
-  set(emu_features
-      EmuFdNetDevice
-  )
-  set(emu_libraries
-      ${libfd-net-device}
+if(DEFINED
+   ENABLE_EMUNETDEV
+)
+  if(${ENABLE_EMU}
+     AND ${ENABLE_EMUNETDEV}
   )
+    set(emu_sources
+        helper/emu-epc-helper.cc
+    )
+    set(emu_headers
+        helper/emu-epc-helper.h
+    )
+    set(emu_features
+        EmuFdNetDevice
+    )
+    set(emu_libraries
+        ${libfd-net-device}
+    )
+  endif()
 endif()
 
 set(source_files
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/doc/Makefile ns-3.46/src/lte/doc/Makefile
--- ns-3.45/src/lte/doc/Makefile	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/doc/Makefile	2025-10-01 18:46:32.000000000 -0700
@@ -1,9 +1,6 @@
-EPSTOPDF = epstopdf
-DIA = dia
-SEQDIAG = seqdiag
-DOT = dot
-CONVERT = convert -density 250
+include $(CURDIR)/../../../doc/sphinx/defines.mk
 
+SEQDIAG = seqdiag
 
 SOURCE = source
 FIGURES = $(SOURCE)/figures
@@ -221,16 +218,7 @@
 	$(EPSTOPDF) $< -o=$@
 	if test x$($@_width) != x; then $(RESCALE) $($@_width) $@ ; fi
 
-
-# You can set these variables from the command line.
-SPHINXOPTS    = -W --keep-going
-SPHINXBUILD   = sphinx-build
-PAPER         =
-BUILDDIR      = build
-
 # Internal variables.
-PAPEROPT_a4     = -D latex_paper_size=a4
-PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCE)
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/examples/CMakeLists.txt ns-3.46/src/lte/examples/CMakeLists.txt
--- ns-3.45/src/lte/examples/CMakeLists.txt	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/examples/CMakeLists.txt	2025-10-01 18:46:32.000000000 -0700
@@ -36,13 +36,19 @@
   )
 endforeach()
 
-if(${ENABLE_EMU})
-  build_lib_example(
-    NAME lena-simple-epc-emu
-    SOURCE_FILES lena-simple-epc-emu.cc
-    LIBRARIES_TO_LINK
-      ${liblte}
-      ${libfd-net-device}
-      ${libconfig-store}
+if(DEFINED
+   ENABLE_EMUNETDEV
+)
+  if(${ENABLE_EMU}
+     AND ${ENABLE_EMUNETDEV}
   )
+    build_lib_example(
+      NAME lena-simple-epc-emu
+      SOURCE_FILES lena-simple-epc-emu.cc
+      LIBRARIES_TO_LINK
+        ${liblte}
+        ${libfd-net-device}
+        ${libconfig-store}
+    )
+  endif()
 endif()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/examples/lena-dual-stripe.cc ns-3.46/src/lte/examples/lena-dual-stripe.cc
--- ns-3.45/src/lte/examples/lena-dual-stripe.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/examples/lena-dual-stripe.cc	2025-10-01 18:46:32.000000000 -0700
@@ -26,6 +26,10 @@
 // 3GPP R4-092042, Section 4.2.1 Dual Stripe Model
 // note that the term "apartments" used in that document matches with
 // the term "room" used in the BuildingsMobilityModel
+//
+// A user can pass the command-line --ns3::LteHexGridEnbTopologyHelper::EnableWraparound=1
+// to setup and use the hexagonal wraparound model, which causes all cells to receive
+// similar interference, rather than central cells receiving a lot more than edge cells.
 
 using namespace ns3;
 
@@ -272,7 +276,7 @@
 /// How many macro sites there are
 static ns3::GlobalValue g_nMacroEnbSites("nMacroEnbSites",
                                          "How many macro sites there are",
-                                         ns3::UintegerValue(3),
+                                         ns3::UintegerValue(7),
                                          ns3::MakeUintegerChecker<uint32_t>());
 
 /// (minimum) number of sites along the X-axis of the hex grid
@@ -638,7 +642,12 @@
     lteHelper->SetEnbDeviceAttribute("UlBandwidth", UintegerValue(macroEnbBandwidth));
     NetDeviceContainer macroEnbDevs =
         lteHexGridEnbTopologyHelper->SetPositionAndInstallEnbDevice(macroEnbs);
-
+    Ptr<WraparoundModel> wraparoundModel = lteHexGridEnbTopologyHelper->GetWraparoundModel();
+    if (wraparoundModel)
+    {
+        lteHelper->GetDownlinkSpectrumChannel()->UnidirectionalAggregateObject(wraparoundModel);
+        lteHelper->GetUplinkSpectrumChannel()->UnidirectionalAggregateObject(wraparoundModel);
+    }
     if (epc)
     {
         // this enables handover for macro eNBs
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/examples/lena-rem-sector-antenna.cc ns-3.46/src/lte/examples/lena-rem-sector-antenna.cc
--- ns-3.45/src/lte/examples/lena-rem-sector-antenna.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/examples/lena-rem-sector-antenna.cc	2025-10-01 18:46:32.000000000 -0700
@@ -70,7 +70,7 @@
     std::vector<Vector> enbPosition;
     Ptr<ListPositionAllocator> positionAlloc = CreateObject<ListPositionAllocator>();
     Ptr<Building> building;
-    building = Create<Building>();
+    building = CreateObject<Building>();
     building->SetBoundaries(
         Box(0.0, nRooms * roomLength, 0.0, nRooms * roomLength, 0.0, roomHeight));
     building->SetBuildingType(Building::Residential);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/helper/emu-epc-helper.cc ns-3.46/src/lte/helper/emu-epc-helper.cc
--- ns-3.45/src/lte/helper/emu-epc-helper.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/helper/emu-epc-helper.cc	2025-10-01 18:46:32.000000000 -0700
@@ -31,8 +31,14 @@
     : NoBackhaulEpcHelper()
 {
     NS_LOG_FUNCTION(this);
-    // To access the attribute value within the constructor
-    ObjectBase::ConstructSelf(AttributeConstructionList());
+}
+
+void
+EmuEpcHelper::NotifyConstructionCompleted()
+{
+    NoBackhaulEpcHelper::NotifyConstructionCompleted();
+
+    NS_LOG_FUNCTION(this);
 
     // Create EmuFdNetDevice for SGW
     EmuFdNetDeviceHelper emu;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/helper/emu-epc-helper.h ns-3.46/src/lte/helper/emu-epc-helper.h
--- ns-3.45/src/lte/helper/emu-epc-helper.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/helper/emu-epc-helper.h	2025-10-01 18:46:32.000000000 -0700
@@ -55,6 +55,9 @@
                 std::vector<uint16_t> cellIds) override;
     void AddX2Interface(Ptr<Node> enbNode1, Ptr<Node> enbNode2) override;
 
+  protected:
+    void NotifyConstructionCompleted() override;
+
   private:
     /**
      * helper to assign addresses to S1-U NetDevices
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/helper/lte-hex-grid-enb-topology-helper.cc ns-3.46/src/lte/helper/lte-hex-grid-enb-topology-helper.cc
--- ns-3.45/src/lte/helper/lte-hex-grid-enb-topology-helper.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/helper/lte-hex-grid-enb-topology-helper.cc	2025-10-01 18:46:32.000000000 -0700
@@ -12,6 +12,7 @@
 
 #include "ns3/abort.h"
 #include "ns3/double.h"
+#include "ns3/hexagonal-wraparound-model.h"
 #include "ns3/log.h"
 #include "ns3/pointer.h"
 
@@ -72,7 +73,12 @@
                 "The number of sites in even rows (odd rows will have one additional site).",
                 UintegerValue(1),
                 MakeUintegerAccessor(&LteHexGridEnbTopologyHelper::m_gridWidth),
-                MakeUintegerChecker<uint32_t>());
+                MakeUintegerChecker<uint32_t>())
+            .AddAttribute("EnableWraparound",
+                          "Enable hexagonal wraparound model.",
+                          BooleanValue(false),
+                          MakeBooleanAccessor(&LteHexGridEnbTopologyHelper::m_installWraparound),
+                          MakeBooleanChecker());
     return tid;
 }
 
@@ -95,6 +101,13 @@
 {
     NS_LOG_FUNCTION(this);
     NetDeviceContainer enbDevs;
+    Ptr<HexagonalWraparoundModel> wraparoundModel;
+    if (m_installWraparound)
+    {
+        wraparoundModel = CreateObject<HexagonalWraparoundModel>();
+        wraparoundModel->SetSiteDistance(m_d);
+        wraparoundModel->SetNumSites(c.GetN() / 3);
+    }
     const double xydfactor = std::sqrt(0.75);
     double yd = xydfactor * m_d;
     for (uint32_t n = 0; n < c.GetN(); ++n)
@@ -155,8 +168,22 @@
         mm->SetPosition(Vector(x, y, m_siteHeight));
         m_lteHelper->SetEnbAntennaModelAttribute("Orientation", DoubleValue(antennaOrientation));
         enbDevs.Add(m_lteHelper->InstallEnbDevice(node));
+        if (m_installWraparound && (n % 3 == 0))
+        {
+            wraparoundModel->AddSitePosition(mm->GetPosition());
+        }
+    }
+    if (m_installWraparound)
+    {
+        m_wraparoundModel = wraparoundModel;
     }
     return enbDevs;
 }
 
+Ptr<WraparoundModel>
+LteHexGridEnbTopologyHelper::GetWraparoundModel() const
+{
+    return m_wraparoundModel;
+}
+
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/helper/lte-hex-grid-enb-topology-helper.h ns-3.46/src/lte/helper/lte-hex-grid-enb-topology-helper.h
--- ns-3.45/src/lte/helper/lte-hex-grid-enb-topology-helper.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/helper/lte-hex-grid-enb-topology-helper.h	2025-10-01 18:46:32.000000000 -0700
@@ -11,6 +11,8 @@
 
 #include "lte-helper.h"
 
+#include "ns3/wraparound-model.h"
+
 namespace ns3
 {
 
@@ -59,6 +61,13 @@
      */
     NetDeviceContainer SetPositionAndInstallEnbDevice(NodeContainer c);
 
+    /**
+     * @brief Get the configured wraparound model.
+     * If wraparound is not enabled, a null pointer is returned instead.
+     * @return a pointer to the wraparound model
+     */
+    Ptr<WraparoundModel> GetWraparoundModel() const;
+
   private:
     /**
      * Pointer to LteHelper object
@@ -96,6 +105,16 @@
      * The height [m] of each site
      */
     uint32_t m_siteHeight;
+
+    /**
+     * Boolean flag indicating whether to install or not wraparound model
+     */
+    bool m_installWraparound;
+
+    /**
+     * Wraparound model pointer
+     */
+    Ptr<WraparoundModel> m_wraparoundModel;
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/helper/no-backhaul-epc-helper.cc ns-3.46/src/lte/helper/no-backhaul-epc-helper.cc
--- ns-3.45/src/lte/helper/no-backhaul-epc-helper.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/helper/no-backhaul-epc-helper.cc	2025-10-01 18:46:32.000000000 -0700
@@ -45,8 +45,12 @@
       m_s5LinkMtu(3000)
 {
     NS_LOG_FUNCTION(this);
-    // To access the attribute value within the constructor
-    ObjectBase::ConstructSelf(AttributeConstructionList());
+}
+
+void
+NoBackhaulEpcHelper::NotifyConstructionCompleted()
+{
+    EpcHelper::NotifyConstructionCompleted();
 
     int retval;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/helper/no-backhaul-epc-helper.h ns-3.46/src/lte/helper/no-backhaul-epc-helper.h
--- ns-3.45/src/lte/helper/no-backhaul-epc-helper.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/helper/no-backhaul-epc-helper.h	2025-10-01 18:46:32.000000000 -0700
@@ -76,6 +76,8 @@
     int64_t AssignStreams(int64_t stream) override;
 
   protected:
+    void NotifyConstructionCompleted() override;
+
     /**
      * @brief DoAddX2Interface: Call AddX2Interface on top of the Enb device pointers
      *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/helper/point-to-point-epc-helper.cc ns-3.46/src/lte/helper/point-to-point-epc-helper.cc
--- ns-3.45/src/lte/helper/point-to-point-epc-helper.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/helper/point-to-point-epc-helper.cc	2025-10-01 18:46:32.000000000 -0700
@@ -28,8 +28,14 @@
     : NoBackhaulEpcHelper()
 {
     NS_LOG_FUNCTION(this);
-    // To access the attribute value within the constructor
-    ObjectBase::ConstructSelf(AttributeConstructionList());
+}
+
+void
+PointToPointEpcHelper::NotifyConstructionCompleted()
+{
+    NoBackhaulEpcHelper::NotifyConstructionCompleted();
+
+    NS_LOG_FUNCTION(this);
 
     // since we use point-to-point links for the backhaul links,
     // we use a /30 subnet which can hold exactly two addresses
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/helper/point-to-point-epc-helper.h ns-3.46/src/lte/helper/point-to-point-epc-helper.h
--- ns-3.45/src/lte/helper/point-to-point-epc-helper.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/helper/point-to-point-epc-helper.h	2025-10-01 18:46:32.000000000 -0700
@@ -51,6 +51,9 @@
                 Ptr<NetDevice> lteEnbNetDevice,
                 std::vector<uint16_t> cellIds) override;
 
+  protected:
+    void NotifyConstructionCompleted() override;
+
   private:
     /**
      * S1-U interfaces
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/a2-a4-rsrq-handover-algorithm.cc ns-3.46/src/lte/model/a2-a4-rsrq-handover-algorithm.cc
--- ns-3.45/src/lte/model/a2-a4-rsrq-handover-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/a2-a4-rsrq-handover-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -253,4 +253,4 @@
     }
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/a2-a4-rsrq-handover-algorithm.h ns-3.46/src/lte/model/a2-a4-rsrq-handover-algorithm.h
--- ns-3.45/src/lte/model/a2-a4-rsrq-handover-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/a2-a4-rsrq-handover-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -178,6 +178,6 @@
     LteHandoverManagementSapProvider* m_handoverManagementSapProvider;
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* A2_A4_RSRQ_HANDOVER_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/a3-rsrp-handover-algorithm.cc ns-3.46/src/lte/model/a3-rsrp-handover-algorithm.cc
--- ns-3.45/src/lte/model/a3-rsrp-handover-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/a3-rsrp-handover-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -172,4 +172,4 @@
     return true;
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/a3-rsrp-handover-algorithm.h ns-3.46/src/lte/model/a3-rsrp-handover-algorithm.h
--- ns-3.45/src/lte/model/a3-rsrp-handover-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/a3-rsrp-handover-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -110,6 +110,6 @@
     LteHandoverManagementSapProvider* m_handoverManagementSapProvider;
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* A3_RSRP_HANDOVER_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/ff-mac-csched-sap.h ns-3.46/src/lte/model/ff-mac-csched-sap.h
--- ns-3.45/src/lte/model/ff-mac-csched-sap.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/ff-mac-csched-sap.h	2025-10-01 18:46:32.000000000 -0700
@@ -500,6 +500,6 @@
     m_scheduler->DoCschedUeReleaseReq(params);
 }
 
-} // end namespace ns3
+} // namespace ns3
 
 #endif /* FF_MAC_CSCHED_SAP_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-anr.cc ns-3.46/src/lte/model/lte-anr.cc
--- ns-3.45/src/lte/model/lte-anr.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-anr.cc	2025-10-01 18:46:32.000000000 -0700
@@ -233,4 +233,4 @@
     return &(it->second);
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-anr.h ns-3.46/src/lte/model/lte-anr.h
--- ns-3.45/src/lte/model/lte-anr.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-anr.h	2025-10-01 18:46:32.000000000 -0700
@@ -223,6 +223,6 @@
     uint16_t m_servingCellId;
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_ANR_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-anr-sap.cc ns-3.46/src/lte/model/lte-anr-sap.cc
--- ns-3.45/src/lte/model/lte-anr-sap.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-anr-sap.cc	2025-10-01 18:46:32.000000000 -0700
@@ -20,4 +20,4 @@
 {
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-anr-sap.h ns-3.46/src/lte/model/lte-anr-sap.h
--- ns-3.45/src/lte/model/lte-anr-sap.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-anr-sap.h	2025-10-01 18:46:32.000000000 -0700
@@ -216,6 +216,6 @@
     return m_owner->DoAddUeMeasReportConfigForAnr(reportConfig);
 }
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_ANR_SAP_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ccm-mac-sap.cc ns-3.46/src/lte/model/lte-ccm-mac-sap.cc
--- ns-3.45/src/lte/model/lte-ccm-mac-sap.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ccm-mac-sap.cc	2025-10-01 18:46:32.000000000 -0700
@@ -20,4 +20,4 @@
 {
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ccm-mac-sap.h ns-3.46/src/lte/model/lte-ccm-mac-sap.h
--- ns-3.45/src/lte/model/lte-ccm-mac-sap.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ccm-mac-sap.h	2025-10-01 18:46:32.000000000 -0700
@@ -204,6 +204,6 @@
     m_owner->DoNotifyHarqDeliveryFailure();
 }
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_CCM_MAC_SAP_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ccm-rrc-sap.cc ns-3.46/src/lte/model/lte-ccm-rrc-sap.cc
--- ns-3.45/src/lte/model/lte-ccm-rrc-sap.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ccm-rrc-sap.cc	2025-10-01 18:46:32.000000000 -0700
@@ -20,4 +20,4 @@
 {
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ccm-rrc-sap.h ns-3.46/src/lte/model/lte-ccm-rrc-sap.h
--- ns-3.45/src/lte/model/lte-ccm-rrc-sap.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ccm-rrc-sap.h	2025-10-01 18:46:32.000000000 -0700
@@ -384,6 +384,6 @@
     return m_owner->DoSetNumberOfComponentCarriers(noOfComponentCarriers);
 }
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_CCM_RRC_SAP_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-enb-component-carrier-manager.cc ns-3.46/src/lte/model/lte-enb-component-carrier-manager.cc
--- ns-3.45/src/lte/model/lte-enb-component-carrier-manager.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-enb-component-carrier-manager.cc	2025-10-01 18:46:32.000000000 -0700
@@ -121,4 +121,4 @@
     m_ccmRrcSapUser->SetNumberOfComponentCarriers(noOfComponentCarriers);
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-enb-component-carrier-manager.h ns-3.46/src/lte/model/lte-enb-component-carrier-manager.h
--- ns-3.45/src/lte/model/lte-enb-component-carrier-manager.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-enb-component-carrier-manager.h	2025-10-01 18:46:32.000000000 -0700
@@ -212,6 +212,6 @@
                              //!< calls from the eNodeB RRC instance.
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_ENB_COMPONENT_CARRIER_MANAGER_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-enb-mac.h ns-3.46/src/lte/model/lte-enb-mac.h
--- ns-3.45/src/lte/model/lte-enb-mac.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-enb-mac.h	2025-10-01 18:46:32.000000000 -0700
@@ -454,6 +454,6 @@
     uint8_t m_componentCarrierId;
 };
 
-} // end namespace ns3
+} // namespace ns3
 
 #endif /* LTE_ENB_MAC_ENTITY_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-enb-rrc.cc ns-3.46/src/lte/model/lte-enb-rrc.cc
--- ns-3.45/src/lte/model/lte-enb-rrc.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-enb-rrc.cc	2025-10-01 18:46:32.000000000 -0700
@@ -1217,9 +1217,6 @@
     // This case is added to NS-3 in order to handle bearer de-activation scenario for CONNECTED
     // state UE
     case CONNECTED_NORMALLY:
-        NS_LOG_INFO("ignoring RecvRrcConnectionReconfigurationCompleted in state " << m_state);
-        break;
-
     case HANDOVER_LEAVING:
         NS_LOG_INFO("ignoring RecvRrcConnectionReconfigurationCompleted in state " << m_state);
         break;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ffr-algorithm.cc ns-3.46/src/lte/model/lte-ffr-algorithm.cc
--- ns-3.45/src/lte/model/lte-ffr-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ffr-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -167,4 +167,4 @@
     SetUlBandwidth(ulBandwidth);
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ffr-algorithm.h ns-3.46/src/lte/model/lte-ffr-algorithm.h
--- ns-3.45/src/lte/model/lte-ffr-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ffr-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -245,6 +245,6 @@
     bool m_needReconfiguration; /**< If true FR algorithm will be reconfigured*/
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_FFR_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ffr-distributed-algorithm.cc ns-3.46/src/lte/model/lte-ffr-distributed-algorithm.cc
--- ns-3.45/src/lte/model/lte-ffr-distributed-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ffr-distributed-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -703,4 +703,4 @@
     }
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ffr-distributed-algorithm.h ns-3.46/src/lte/model/lte-ffr-distributed-algorithm.h
--- ns-3.45/src/lte/model/lte-ffr-distributed-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ffr-distributed-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -180,6 +180,6 @@
     std::map<uint16_t, std::vector<bool>> m_rntp; ///< RNTP
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_FR_DISTRIBUTED_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ffr-enhanced-algorithm.cc ns-3.46/src/lte/model/lte-ffr-enhanced-algorithm.cc
--- ns-3.45/src/lte/model/lte-ffr-enhanced-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ffr-enhanced-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -927,4 +927,4 @@
     NS_LOG_WARN("Method should not be called, because it is empty");
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ffr-enhanced-algorithm.h ns-3.46/src/lte/model/lte-ffr-enhanced-algorithm.h
--- ns-3.45/src/lte/model/lte-ffr-enhanced-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ffr-enhanced-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -183,6 +183,6 @@
     uint8_t m_measId;
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_FFR_ENHANCED_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ffr-rrc-sap.h ns-3.46/src/lte/model/lte-ffr-rrc-sap.h
--- ns-3.45/src/lte/model/lte-ffr-rrc-sap.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ffr-rrc-sap.h	2025-10-01 18:46:32.000000000 -0700
@@ -247,6 +247,6 @@
     m_owner->DoSendLoadInformation(params);
 }
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_FFR_RRC_SAP_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ffr-sap.h ns-3.46/src/lte/model/lte-ffr-sap.h
--- ns-3.45/src/lte/model/lte-ffr-sap.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ffr-sap.h	2025-10-01 18:46:32.000000000 -0700
@@ -270,6 +270,6 @@
 {
 }
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_FFR_SAP_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ffr-soft-algorithm.cc ns-3.46/src/lte/model/lte-ffr-soft-algorithm.cc
--- ns-3.45/src/lte/model/lte-ffr-soft-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ffr-soft-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -704,4 +704,4 @@
     NS_LOG_WARN("Method should not be called, because it is empty");
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-ffr-soft-algorithm.h ns-3.46/src/lte/model/lte-ffr-soft-algorithm.h
--- ns-3.45/src/lte/model/lte-ffr-soft-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-ffr-soft-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -153,6 +153,6 @@
     uint8_t m_measId;
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_FFR_SOFT_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-fr-hard-algorithm.cc ns-3.46/src/lte/model/lte-fr-hard-algorithm.cc
--- ns-3.45/src/lte/model/lte-fr-hard-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-fr-hard-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -380,4 +380,4 @@
     NS_LOG_WARN("Method should not be called, because it is empty");
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-fr-hard-algorithm.h ns-3.46/src/lte/model/lte-fr-hard-algorithm.h
--- ns-3.45/src/lte/model/lte-fr-hard-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-fr-hard-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -115,6 +115,6 @@
     std::vector<bool> m_ulRbgMap; ///< UL RBG Map
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_FR_HARD_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-fr-no-op-algorithm.cc ns-3.46/src/lte/model/lte-fr-no-op-algorithm.cc
--- ns-3.45/src/lte/model/lte-fr-no-op-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-fr-no-op-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -176,4 +176,4 @@
     NS_LOG_WARN("Method should not be called, because it is empty");
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-fr-no-op-algorithm.h ns-3.46/src/lte/model/lte-fr-no-op-algorithm.h
--- ns-3.45/src/lte/model/lte-fr-no-op-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-fr-no-op-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -89,6 +89,6 @@
     LteFfrRrcSapProvider* m_ffrRrcSapProvider; ///< FFR RRC SAP provider
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_FFR_NO_OP_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-fr-soft-algorithm.cc ns-3.46/src/lte/model/lte-fr-soft-algorithm.cc
--- ns-3.45/src/lte/model/lte-fr-soft-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-fr-soft-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -566,4 +566,4 @@
     NS_LOG_WARN("Method should not be called, because it is empty");
 }
 
-} // end of namespace ns3
+} // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-fr-soft-algorithm.h ns-3.46/src/lte/model/lte-fr-soft-algorithm.h
--- ns-3.45/src/lte/model/lte-fr-soft-algorithm.h	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-fr-soft-algorithm.h	2025-10-01 18:46:32.000000000 -0700
@@ -144,6 +144,6 @@
     uint8_t m_measId;
 };
 
-} // end of namespace ns3
+} // namespace ns3
 
 #endif /* LTE_FR_SOFT_ALGORITHM_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.45/src/lte/model/lte-fr-strict-algorithm.cc ns-3.46/src/lte/model/lte-fr-strict-algorithm.cc
--- ns-3.45/src/lte/model/lte-fr-strict-algorithm.cc	2025-06-01 20:34:45.000000000 -0700
+++ ns-3.46/src/lte/model/lte-fr-strict-algorithm.cc	2025-10-01 18:46:32.000000000 -0700
@@ -578,4 +578,4 @@
     NS_LOG_WARN("Method should not be called, since it is empty");
 }
 
-} // end of namespace ns3
+} // namespace ns3
